@use '../tools/config_mixins_mq' as mq;
@use '../settings/vars/colors' as c;

.btn {
    border-radius: 60px;
    font-size: 20px;
    font-weight: 600;

    @include mq.media-up(xl){
        height: 48px;
    }

    &--white{
        background-color: #fff;
        border-color: #fff;
        color: #00609C;

        @include mq.media-up(xl){
            &:hover{
                background-color: c.$primary-1;
                border-color: c.$primary-1;
                color: #fff;
            }
        }
    }

    &--primary-1{
        background-color: c.$primary-1;
        border-color: c.$primary-1;
        color: #fff;

        @include mq.media-up(xl){
            &:hover{
                background-color: #fff;
                border-color: #fff;
                color: c.$primary-1;
            }
        }
    }
}